import { Injectable, Logger } from '@nestjs/common';
import { Connection } from 'typeorm';
import { InjectConnection } from '@nestjs/typeorm';
import { BotService } from './bot/bot.service';

@Injectable()
export class AppService extends Logger {
  constructor(
    @InjectConnection('app')
    private db: Connection,
  ) {
    super('app', true)
  }

  getHello(): string {
    return 'Hello World!';
  }
}
